<?xml version="1.0" encoding="utf-8" standalone="no"?>
<xsd:schema targetNamespace="urn:ehealth-suisse:names:tc:CS:1" xmlns="urn:ehealth-suisse:names:tc:CS:1" elementFormDefault="qualified"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:dsml="urn:oasis:names:tc:DSML:2:0:core">
    <xsd:import namespace="urn:oasis:names:tc:DSML:2:0:core" schemaLocation="ftp://ftp.ihe.net/TF_Implementation_Material/ITI/schema/IHE/(HPD)%20DSMLv2.xsd"/>
    <xsd:element name="downloadRequest" type="DownloadRequest" />
    <xsd:element name="downloadResponse" type="DownloadResponse" />
    <!-- **** Download Request **** -->
    <xsd:complexType name="DownloadRequest">
        <xsd:sequence>
            <xsd:element name="authRequest" type="dsml:AuthRequest" minOccurs="0" maxOccurs="1" />
        </xsd:sequence>
        <xsd:attribute name="requestID" type="xsd:string" use="optional" />
        <xsd:attribute name="fromDate" use="required">
            <xsd:simpleType>
                <xsd:restriction base="xsd:dateTime" />
            </xsd:simpleType>
        </xsd:attribute>
        <xsd:attribute name="toDate" use="optional">
            <xsd:simpleType>
                <xsd:restriction base="xsd:dateTime" />
            </xsd:simpleType>
        </xsd:attribute>
        <xsd:attribute name="filterMyTransactions" use="optional" default="true">
            <xsd:simpleType>
                <xsd:restriction base="xsd:boolean" />
            </xsd:simpleType>
        </xsd:attribute>
    </xsd:complexType>

    <!-- **** Download Response **** -->
    <xsd:complexType name="DownloadResponse">
        <xsd:sequence>
            <xsd:element ref="dsml:batchRequest" maxOccurs="unbounded" minOccurs="0" />
        </xsd:sequence>
        <xsd:attribute name="requestID" type="xsd:string" use="optional" />
    </xsd:complexType>

</xsd:schema>
